Package org.jcsp.awt

# Class GraphicsCommand.FillRoundRect

java.lang.Object
org.jcsp.lang.TaggedProtocol
org.jcsp.awt.GraphicsCommand
org.jcsp.awt.GraphicsCommand.FillRoundRect

Enclosing class:
  `GraphicsCommand`

public static final class GraphicsCommand.FillRoundRect extends GraphicsCommand
This is the (immutable) command object for ``java.awt.Graphics.fillRoundRect``.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jcsp.awt.GraphicsCommand

`GraphicsCommand.ClearRect, GraphicsCommand.ClipRect, GraphicsCommand.CopyArea, GraphicsCommand.Draw3DRect, GraphicsCommand.DrawArc, GraphicsCommand.DrawBytes, GraphicsCommand.DrawChars, GraphicsCommand.DrawImage, GraphicsCommand.DrawLine, GraphicsCommand.DrawOval, GraphicsCommand.DrawPolygon, GraphicsCommand.DrawPolyline, GraphicsCommand.DrawRect, GraphicsCommand.DrawRoundRect, GraphicsCommand.DrawString, GraphicsCommand.Fill3DRect, GraphicsCommand.FillArc, GraphicsCommand.FillOval, GraphicsCommand.FillPolygon, GraphicsCommand.FillRect, GraphicsCommand.FillRoundRect, GraphicsCommand.General, GraphicsCommand.Graphic, GraphicsCommand.SetClip, GraphicsCommand.SetColor, GraphicsCommand.SetFont, GraphicsCommand.SetXORMode, GraphicsCommand.Translate`

## Field Summary

### Fields inherited from class org.jcsp.awt.GraphicsCommand

`NULL, SET_PAINT_MODE`

### Fields inherited from class org.jcsp.lang.TaggedProtocol

`tag`

## Constructor Summary

Constructors
Constructor
Description
`FillRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FillRoundRect

public FillRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)